# Class PrivateKeyCallback.AliasRequest

java.lang.Object
jakarta.security.auth.message.callback.PrivateKeyCallback.AliasRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  `PrivateKeyCallback`

public static class PrivateKeyCallback.AliasRequest extends Object implements PrivateKeyCallback.Request
A request to retrieve a certificate chain and private key by keystore alias.

## Constructor Summary

Constructors
Constructor
Description
`AliasRequest(String alias)`
Creates a new `AliasRequest` with the specified keystore alias.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`
Returns the keystore alias for this request.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AliasRequest

public AliasRequest(String alias)
Creates a new `AliasRequest` with the specified keystore alias.

Parameters:
  `alias` - the keystore alias identifying the desired key entry

## Method Details

### getAlias

public String getAlias()
Returns the keystore alias for this request.

Returns:
  the keystore alias